# Method: accounts.customers.patch

- [HTTP request](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/patch#try-it)

Updates an existing `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers#Customer` resource for the reseller or distributor.

Possible error codes:

- PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request.
- INVALID_ARGUMENT: Required request parameters are missing or invalid.
- NOT_FOUND: No `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers#Customer` resource found for the name in the request.

Return value: The updated `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers#Customer` resource.

### HTTP request

`PATCH https://cloudchannel.googleapis.com/v1alpha1/{customer.name=accounts/*/customers/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer.name` | `string` Output only. Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id} |

### Query parameters

| Parameters ||
|---|---|
| `name (deprecated)` | `string` Deprecated: Set `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers#Customer.FIELDS.name` instead Name uses the format: accounts/{account_id}/customers/{customer_id} |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The update mask that applies to the resource. Optional. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers#Customer`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers#Customer`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).